//
//  ViewController.swift
//  TableViewModelCustomCell
//
//  Created by Hardik Parsania on 11/19/18.
//  Copyright © 2018 Hardik Parsania. All rights reserved.
//

import UIKit

class ViewController: UIViewController , UITableViewDataSource, UITableViewDelegate {

    @IBOutlet weak var tableview: UITableView!
   
    
    var firstNames: [String] = ["Hardik" ,"Roger", "Andrew", "Eliz", "Kety"]
    var cityNames: [String] = ["Rajkot" ,"Basel", "New York", "London", "Sydney"]
    
    //a list to store DataModel
    var dataModels = [DataModel]()
    
    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        //traversing through all elements of the array
        for i in 0..<5{
            
            self.dataModels.append(DataModel(name: String(i) + firstNames[i], city: String(i) + cityNames[i]))
            //displaying data in tableview
            self.tableview.reloadData()
            
        }
        
    }
    
    //the method returning size of the list
    public func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int{
        return dataModels.count
    }
    
    //the method returning each cell of the list
    public func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell{
        
        let cell = tableView.dequeueReusableCell(withIdentifier: "cell", for: indexPath) as! TableViewCell
        
        //getting the hero for the specified position
        let model: DataModel
        
        model = dataModels [indexPath.row]
        
        //displaying values
        cell.Name.text = model.name
        cell.City.text = model.city
        
        return cell
        
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

